# Generated by Django 4.1.6 on 2023-03-10 13:14
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("employees", "0004_alter_workingcontract_options"),
        ("timetracker", "0003_timeentry_alter_holiday_options_holiday_status_and_more"),
    ]

    operations = [
        migrations.RenameModel(
            old_name="Holiday",
            new_name="Absence",
        ),
        migrations.RemoveField(
            model_name="absence",
            name="type",
        ),
        migrations.DeleteModel(
            name="HolidayType",
        ),
        migrations.AddField(
            model_name="absence",
            name="type",
            field=models.CharField(
                choices=[
                    ("ill", "Illness"),
                    ("holiday", "Holiday"),
                    ("special", "Special holiday"),
                    ("training", "Training"),
                    ("other", "Other"),
                ],
                default="holiday",
                max_length=50,
            ),
        ),
        migrations.AlterModelOptions(
            name="absence",
            options={
                "permissions": (("administer_absence", "Can administer Absences"),)
            },
        ),
        migrations.AlterField(
            model_name="absence",
            name="type",
            field=models.CharField(
                choices=[
                    ("ill", "Illness"),
                    ("holiday", "Holiday"),
                    ("holiday_special", "Special holiday"),
                    ("training", "Training"),
                    ("other", "Other"),
                ],
                default="holiday",
                max_length=50,
            ),
        ),
        migrations.AlterUniqueTogether(
            name="absence",
            unique_together={("day", "employee", "type")},
        ),
        migrations.AlterField(
            model_name="timeentry",
            name="work_schedule",
            field=models.ForeignKey(
                null=True,
                on_delete=models.PROTECT,
                to="employees.workschedule",
            ),
        ),
    ]
